# $Revision: 1.121 $, $Date: 2002/11/18 14:09:25 $
# It's sick.
#
# Conditional build:
# _without_qt		- disables QT support
# _with_divx		- enables divx4linux support (proprietary, binary-only
#			  lib)  note: if disabled, divx is decoded by ffmpeg
#
%define		_snapver	20020913
%define		_snap		%{_snapver}
Summary:	Library for playing AVI files
Summary(pl):	Biblioteka do odtwarzania plikw AVI
Summary(pt_BR):	Biblioteca para reproduzir formatos de udio e vdeo usando binrios win32
Name:		avifile
Version:	0.7.16
Release:	0.%{_snap}.4%{?_with_divx:+divx}
Epoch:		3
License:	GPL
Group:		X11/Libraries
Source0:	http://avifile.sourceforge.net/%{name}-%{version}-%{_snap}.tgz
Source1:	%{name}.desktop
Patch0:		%{name}-shareware.patch
Patch1:		%{name}-no_libnsl.patch
Patch2:		%{name}-vidix.patch
Patch3:		%{name}-configure.patch
Patch4:		%{name}-compilation.patch
Patch5:		%{name}-fix-keys.patch
URL:		http://avifile.sourceforge.net/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	XFree86-devel
BuildRequires:	a52dec-libs-devel
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?_with_divx:BuildRequires:	divx4linux-devel}
BuildRequires:	lame-libs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libogg-devel
BuildRequires:	libtool >= 0:1.4.2-9
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	nas-devel
%{?!_without_qt:BuildRequires:	qt-devel >= 2.0.0}
BuildRequires:	unzip
%ifarch %{ix86} ppc
BuildRequires:	xvid-devel
%endif
BuildConflicts:	wine-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Avifile is a library that allow programs to read and write compressed
AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
(De)compression is performed with various plugins (Win32, FFMpeg,...)

%description -l pl
Avifile jest bibliotek suc do odczytywania i zapisywania
skompresowanych plikw AVI (Indeo Video, DivX :-), etc.) pod Linuksem.
Do (de)kompresji uywane s pluginy (win32, FFMpeg, ...)

%description -l pt_BR
Avifile busca criar uma biblioteca usvel de suporte a arquivos AVI e
um conjunto bsico de utilitrios (para reproduo, captura e edio)
para o Linux. Contm classes C++ para leitura e criao de AVIs e
interfaces para compressores e descompresseores de udio e vdeo.

%package devel
Summary:	Header file required to build programs using libavifile
Summary(pl):	Pliki nagwkowe wymagane przez programy uywajce libavifile
Summary(pt_BR):	Componentes para desenvolvimento com a avifile
Group:		X11/Development/Libraries
Requires:	XFree86-devel
Requires:	%{name} = %{version}

%description devel
Header files required to build programs using libavifile.

%description devel -l pl
Pliki nagwkowe niezbdne do kompilacji programw korzystajcych z
libavifile.

%description devel -l pt_BR
Componentes para desenvolvimento com a avifile.

%package aviplay
Summary:	Player for AVI/ASF/WMF files
Summary(pl):	Odtwarzacz plikw AVI/ASF/WMF
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description aviplay
Sample player for AVI, ASF, WFM (with straming support) files.

%description aviplay -l pl
Przykadowy odtwarzacz plikw AVI, ASF, WFM (ze wsparciem dla
odtwarzania z sieci.)

%package utils
Summary:	Sample programs using the avifile library
Summary(pl):	Przykadowe programy uywajce biblioteki avifile
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}

%description utils
Qt-based AVI utilities with few other useful supporting tools for TV
capturing, AVI recompression, benchmarking, joining AVI files. These
programs have more bugs as they are not as extensively developed as
player.

%description utils -l pl
Kilka uytecznych narzdzi do przechwytywania TV, rekompresji AVI,
benchmarkowania, czenia plikw AVI. Maj wicej bdw, poniewa nie
s tak intensywnie rozwijane jak odtwarzacz.

%package win32
Summary:	Win32 audio/video plugin
Summary(pl):	Plugin audio/video win32
Group:		X11/Libraries
Requires:	%{name} = %{version}
Requires:	w32codec

%description win32
Plugin for using Win32 DLL libraries in avifile located in
/usr/lib/win32.

%description win32 -l pl
Plugin do uywania w avifile zlokalizowanych w /usr/lib/win32
bibliotek DLL Win32.

%package ffmpeg
Summary:	GPL MPEG4 codec
Summary(pl):	Kodek MPEG4 na licencji GPL
Group:		X11/Libraries
Requires:	%{name} = %{version}

%description ffmpeg
ffmpeg is a hyper fast realtime audio/video encoder, a streaming
server and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it
into several file formats based on DCT/motion compensation encoding.
Sound is compressed in MPEG audio layer 2 or using an AC3 compatible
stream.

%description ffmpeg -l pl
ffmpeg jest hiperszybkim koderem audio/wideo czasu rzeczywistego,
serwerem strumieni oraz standardowym konwerterem plikw audio-wideo.

Moe pobiera ze standardowego Video4Linux rdo obrazu i konwertowa
je do kilku formatw plikw opartych na kodowaniu DCT/kompensacji
ruchu. Dwik jest kompresowany w MPEG audio layer 2 lub uywajc
kompatybilnego z AC3 strumienia.

%package divx
Summary:	Fast MPEG4 codec
Summary(pl):	Szybki kodek MPEG4
Group:		X11/Libraries
Requires:	%{name} = %{version}
Requires:	divx4linux
Obsoletes:	avifile-divx4

%description divx
DivX MPEG-4 decoder and encoder.

%description divx -l pl
Dekoder i koder MPEG-4 DivX.

%package vorbis
Summary:	Vorbis audio plugin
Summary(pl):	Plugin vorbis audio.
Group:		X11/Libraries
Requires:	%{name} = %{version}

%description vorbis
Plugin for decompression of Vorbis audio streams.

%description vorbis -l pl
Plugin do dekompresji strumieni audio Vorbis.

%package mad
Summary:	MAD - MPEG audio plugin
Summary(pl):	MAD - plugin MPEG audio
Group:		X11/Libraries
Requires:	%{name} = %{version}

%description mad
Plugin for decompression of MPEG-1 Layer I/II/III audio streams.

%description mad -l pl
Plugin do dekompresji strumieni dwikowych MPEG-1 Layer I/II/III.

%package lame_audioenc
Summary:	MP3 audio encoder plugin
Summary(pl):	Plugin enkodujcy dwik w formacie MP3
Group:		X11/Libraries
Requires:	%{name} = %{version}

%description lame_audioenc
Plugin for mp3 encoding capability of avirecompress tool.

%description lame_audioenc -l pl
Plugin umoliwiajcy avirecompressowi kodowanie mp3.

%package xvid
Summary:	XVID codec
Summary(pl):	Kodek XVID
Group:		X11/Libraries
Requires:	%{name} = %{version}
Requires:	xvid

%description xvid
XVID decoder and encoder.

%description xvid -l pl
Dekoder i koder XVID.

%prep
%setup -q -n avifile0.7-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1

%build
rm -f missing aclocal.m4
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

cd plugins/libmad/libmad
%{__autoconf}
cd ../../..

cd libmmxnow
%{__autoconf}
cd ..

# This is The WRONG Way (tm)
%if %{!?_without_qt:1}%{?_without_qt:0}
GEN_MOC="`grep -Rl '^ *Q_OBJECT$' *`"
for f in $GEN_MOC; do moc -o "${f%.[!.]*}.moc" "$f"; done
%endif

%configure \
	CPPFLAGS="-I/usr/include/divx" AS="%{__cc}" \
	FFMPEG_CFLAGS="%{rpmcflags} -ffast-math %{!?debug:-fomit-frame-pointer}" \
	--with-qt-includes=%{_includedir}/qt \
	--with-qt-libraries=%{_libdir} \
	--enable-a52 \
	--enable-release \
	--enable-ffmpeg \
	--enable-ffmpeg-a52 \
	%{?_with_divx:--enable-divx4} \
%ifarch i586 i686 athlon
	--enable-x86opt \
%else
	--disable-x86opt \
%endif
	%{?_without_qt:--without-qt} \
	%{?_without_qt:--disable-samples}

touch lib/dummy.cpp
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/usr/lib/win32,%{_pixmapsdir},%{_applnkdir}/Multimedia}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT" \
	m4datadir="%{_aclocaldir}"

cp -f include/fourcc.h $RPM_BUILD_ROOT/%{_includedir}/%{name}

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Multimedia
install bin/test.png $RPM_BUILD_ROOT%{_pixmapsdir}/avifile.png

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/{CREDITS,EXCEPTIONS,KNOWN_BUGS,LICENSING}
%doc doc/{README-DEVEL,TODO,VIDEO-PERFORMANCE,WARNINGS}
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/avifile*
%attr(755,root,root) %{_libdir}/avifile*/audiodec.so*
%attr(755,root,root) %{_libdir}/avifile*/audiodec.la
%attr(755,root,root) %{_libdir}/avifile*/mpeg_audiodec.so*
%attr(755,root,root) %{_libdir}/avifile*/mpeg_audiodec.la
%attr(755,root,root) %{_libdir}/avifile*/ac3pass.so*
%attr(755,root,root) %{_libdir}/avifile*/ac3pass.la
%attr(755,root,root) %{_libdir}/avifile*/mjpeg.so*
%attr(755,root,root) %{_libdir}/avifile*/mjpeg.la

%files devel
%defattr(644,root,root,755)
%doc doc/README-DEVEL*
%attr(755,root,root) %{_bindir}/avifile-config
%attr(755,root,root) %{_bindir}/mmxnow-config
%attr(755,root,root) %{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/%{name}
%{_includedir}/*.h
%{_aclocaldir}/*.m4

%if %{?_without_qt:0}%{!?_without_qt:1}
%files aviplay
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aviplay
%{_mandir}/man1/aviplay.1*
%{_datadir}/%{name}*
%{_applnkdir}/Multimedia/*
%{_pixmapsdir}/*

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avi[bcmrt]*
%attr(755,root,root) %{_bindir}/kv4lsetup
%endif

%ifarch %{ix86}
%files win32
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/win32.so*
%attr(755,root,root) %{_libdir}/avifile*/win32.la
%endif

%files ffmpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/ffmpeg.so*
%attr(755,root,root) %{_libdir}/avifile*/ffmpeg.la

%if %{?_with_divx:1}%{!?_with_divx:0}
%files divx
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/divx*.so*
%attr(755,root,root) %{_libdir}/avifile*/divx*.la
%endif

%files vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/vorbis*.so*
%attr(755,root,root) %{_libdir}/avifile*/vorbis*.la

%files mad
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/mad*.so*
%attr(755,root,root) %{_libdir}/avifile*/mad*.la

%files lame_audioenc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/mp3lamebin_audioenc.so*
%attr(755,root,root) %{_libdir}/avifile*/mp3lamebin_audioenc.la

%ifarch %{ix86} ppc
%files xvid
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/avifile*/xvid.so*
%attr(755,root,root) %{_libdir}/avifile*/xvid.la
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: avifile.spec,v $
Revision 1.121  2002/11/18 14:09:25  baggins
- release 4
- this program DOES NOT require qt 3!!! qt 2.0.0 is just fine!
- fix-keys patch, up is forward down is backward

Revision 1.120  2002/10/19 17:36:52  qboosh
- added ifarchs in case --{en,dis}able-x86opt sometime will work as specified

Revision 1.119  2002/10/14 22:57:46  wolf
- hint about ffmpeg (_with_divx is very unintuitive)

Revision 1.118  2002/10/13 16:36:06  wrobell
- use divx name for divx4 bcond

Revision 1.117  2002/10/13 11:33:16  aflinta
- fixed "The Wrong Way (TM)" for _without_qt builds
- added compile.patch which enables avifile to build on gcc 3.2 (stolen from MDK)

Revision 1.116  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.115  2002/10/07 13:13:53  mkochano
- Experiment. Release number extedned with info about --with switches
  used. For example avifile built --with divx4 will be called:
  avifile-0.7.16-0.20020913.3+divx4

Revision 1.114  2002/10/05 10:46:25  kloczek
- fixed %files for disable xvid on sparc*.

Revision 1.113  2002/10/05 08:29:42  marcus
- typo

Revision 1.112  2002/10/05 08:22:46  marcus
- rel.3.
- fixed build on i386

Revision 1.111  2002/10/02 19:26:19  marcus
- fix building on ppc

Revision 1.110  2002/10/02 09:53:21  kloczek
- reverte last change and bump _release_ to *.2.

Revision 1.109  2002/10/02 07:41:10  kloczek
- release 4.

Revision 1.108  2002/10/02 07:38:42  qboosh
- yet more fixes for divx4

Revision 1.107  2002/10/02 03:07:23  kloczek
- use --disable-x86opt on non i{5,6}86 and athlon.

Revision 1.106  2002/10/02 02:42:44  kloczek
- disable xvid on sparc* and more fixes for divx.

Revision 1.105  2002/10/02 01:45:07  kloczek
- more fixes for divix.

Revision 1.104  2002/10/02 00:17:43  kloczek
- realy disable divx4linux.

Revision 1.103  2002/10/02 00:04:56  kloczek
- disable divx4linux by default.

Revision 1.102  2002/09/28 17:25:28  wolf
- what for was %%{_ver} ?
- the superstitious edition: 20020913
TODO: xvidix, or whatever it's called

Revision 1.101  2002/09/17 16:06:26  kloczek
- added no_libnsl patch.

Revision 1.100  2002/09/14 12:54:02  qboosh
- removed outdated patches: ac3,size_t,xvid,amfix,deplib
  removed obsolete libtool hack (BR: fixed libtool)
- allow building without proprietary divx4linux (shouldn't it be default?)
- enabled x86opt on i586+ (runtime detection)
- merged lost changes from DEVEL
- release 0.snap.2

Revision 1.99  2002/09/13 11:35:35  kloczek
- spec adapterized.

Revision 1.98  2002/09/12 10:50:21  wrobell
- DivX plugin builds with DivX v. 5, too, so let's use more general name
  for the subpackage
- rel. 0.20020816.1

Revision 1.97  2002/09/09 14:23:06  aflinta
- updated to version 0.7.15
- added QT bcond
- seems to be good, but needs testing

Revision 1.96  2002/08/29 22:59:32  blues
- release 10 - BR proper qt-devel, cosmetics

Revision 1.95  2002/08/22 12:30:07  jack
- added BR nas-devel
- release 9

Revision 1.94  2002/08/15 14:02:23  blues
- release 8 - BR added and sorted

Revision 1.93  2002/07/22 12:35:54  blues
- new doc

Revision 1.92  2002/07/22 11:23:39  kloczek
- release 0.<_snap>.7: rebuild against final libvorbis 1.0.

Revision 1.91  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.90  2002/06/11 12:40:05  baggins
- release 6
- added xvid patch (properly recognize all XVID encodes)

Revision 1.89  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.88  2002/04/25 15:50:41  arturs
fixed a small typo

Revision 1.87  2002/04/24 11:01:22  marcus
- xvid is now on ppc and sparc too
- rel.5.

Revision 1.86  2002/04/22 06:12:53  kloczek
- removed all (dumb used) "ExclusiveArch: %%{ix86}".

Revision 1.85  2002/04/22 05:51:56  kloczek
- release %0.%{_snap}.4.

Revision 1.84  2002/04/21 14:33:03  qboosh
- changes amfix to allow building avifile using ac2.53/am1.6.1
- removed unnecessary ifarchs in descriptions

Revision 1.83  2002/04/19 11:37:52  marcus
- %ifarch in BR added (xvid-devel)

Revision 1.82  2002/04/19 08:40:12  marcus
- ExclusiveArch without %%ifarch blocks building on != ix86

Revision 1.81  2002/04/18 15:41:01  baggins
- added xvid package

Revision 1.80  2002/04/18 15:28:10  baggins
- release .3
- buildreq xvid-devel

Revision 1.79  2002/04/15 17:07:29  marcus
- fixed compilation on i586 and i686
- rel.2.

Revision 1.78  2002/04/15 00:55:28  marcus
- new version 0.7 (snap 20020412)
- avifile is NOT %%{ix86} only, but some codecs are.
- rel. 1.

Revision 1.77  2002/04/11 14:54:15  qboosh
- fixed file list (duplicated mad plugin); release 0.snap.5

Revision 1.76  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.75  2002/02/18 16:40:10  gotar
- added/fixed polish %descriptions.

Revision 1.74  2002/02/11 22:15:12  kloczek
- adapterized.

Revision 1.73  2002/02/11 14:34:37  mkochano
- Release .4
- s/w32codecs/w32codec/g (but I think that w32codecs would be better
  name ;) )

Revision 1.72  2002/02/03 16:28:18  kloczek
- release 0.%%{_snap}.3.

Revision 1.71  2002/02/03 10:58:06  mkochano
- Added URI.

Revision 1.70  2002/01/27 13:33:07  misiek
- = version in R

Revision 1.69  2002/01/27 13:23:50  wolf
- split to subpackages
- moved ExvlusiveArch from main package to appropriate subpackages
- corrected descriptions
- desktop file
- release 2

Revision 1.68  2002/01/20 18:12:26  mkochano
- Release 1.
- Updated for 20011220admin snapshot.
- ./configure regenerated in plugins/libmad/libmad and libmmxnow.
- .moc files generated in very nasty way... somebody who knows how it
  should be done should correct this I think.
- Updated source URI.

Revision 1.67  2002/01/18 02:12:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.66  2001/10/02 21:00:13  qboosh
- amfix patch, pass AS=gcc to configure - fix for stubs.s
- updated deplib patch, re-enabled avoiding relinking
  to allow building without avifile-devel installed

Revision 1.65  2001/10/01 16:23:16  baggins
- updated to latest snap (20010929)
- added autoheader

Revision 1.64  2001/09/26 09:22:13  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.63  2001/09/16 16:57:25  qboosh
- removed BuildRequires: alsa-lib-devel - it should be (conditionally) in
  some library (SDL-devel?) Requires. avifile doesn't use ALSA directly.
- added mmxnow-config to -devel
- removed avifile-config and mmxnow-config from base backage

Revision 1.62  2001/09/14 18:28:32  baggins
- updated to 20010914

Revision 1.61  2001/09/14 13:09:25  jajcus
- Requires: divx4linux
- no more Requires: w32codecs
- description changed for the new handling of AVI files

Revision 1.60  2001/09/12 17:49:46  filon
- updated to 20010831
- removed mga patch (not needed now)
- added BuildRequires: alsa-lib-devel
- release 0.snap.1

Revision 1.59  2001/08/31 11:49:05  pascalek
- added fourcc.h to devel files

Revision 1.58  2001/08/09 19:33:04  baggins
- new snapshot

Revision 1.57  2001/07/30 18:09:32  baggins
- new snapshot

Revision 1.56  2001/07/26 13:15:10  wrobell
- fixed devel subpackage requirements

Revision 1.55  2001/07/25 17:03:29  wrobell
- requires w32codec instead of avi-codecs (look at the
  http://avifile.sourceforge.net for reasons)
- rel. 3, stb

Revision 1.54  2001/07/16 16:00:42  wiget
ac 2.50 fixes

Revision 1.53  2001/07/13 14:13:02  baggins
- latest snapshot

Revision 1.52  2001/06/23 23:49:06  misiek
- 20010624 snapshot

Revision 1.51  2001/06/15 15:51:06  baggins
- autoconf must be after automake

Revision 1.50  2001/06/12 19:16:15  misiek
- 20010612 snapshot
- direct rendering support
- deplib patch disabled because it's broken. Needs fix to get xmms+avi plugin
  working

Revision 1.49  2001/06/11 22:39:07  qboosh
- moved plugins' .la files back to base - used and NEEDED to load plugins
- release 0.20010604.1

Revision 1.48  2001/06/04 19:09:15  misiek
- new snapshot (20010604)

Revision 1.47  2001/05/28 16:51:57  baggins
- release 0.snap (THINK FIRST kloczek!)

Revision 1.46  2001/05/28 16:50:41  baggins
- new snapshot 20010528
- merged deplibs and lt14 patches
- removed arts crap - it was not working for a looong time

Revision 1.45  2001/05/27 16:32:13  kloczek
- release 1.<snap>.

Revision 1.44  2001/05/24 16:23:14  qboosh
- opt patch: use rpmcflags in lib/common too
- lt14 patch: fix for libtool 1.4; avoid relinking
- moved *.la to devel

Revision 1.43  2001/05/22 09:06:11  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.42  2001/05/17 14:21:22  baggins
- 20010514 snapshot

Revision 1.41  2001/05/01 17:25:09  misiek
20010501 snapshot

Revision 1.40  2001/04/11 20:11:55  misiek
new snapshot

Revision 1.39  2001/04/04 08:29:30  kloczek
- rebuild against SDL 1.2.0.

Revision 1.38  2001/04/02 15:25:29  misiek
avoid building mga driver

Revision 1.37  2001/04/02 15:07:51  misiek
don't require arts-devel on alpha

Revision 1.36  2001/04/02 14:01:52  misiek
new snapshot (audio/video sync should be ok now); rebuild with SDL 1.2.0; stb

Revision 1.35  2001/03/27 17:26:50  qboosh
- missing dir: %%{_libdir}/avifile
- use %%{rpmcflags} macro

Revision 1.34  2001/03/23 16:31:01  misiek
20010323 snapshot
